Name:           perl-MooseX-Types-DateTime-MoreCoercions
Version:        0.14
Release:        2%{?dist}
Summary:        Extensions to MooseX::Types::DateTime
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Types-DateTime-MoreCoercions/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/MooseX-Types-DateTime-MoreCoercions-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(DateTime) >= 0.4302
BuildRequires:  perl(DateTime::Duration) >= 0.4302
BuildRequires:  perl(DateTimeX::Easy) >= 0.085
BuildRequires:  perl(if)
BuildRequires:  perl(Moose) >= 0.41
BuildRequires:  perl(MooseX::Types) >= 0.04
BuildRequires:  perl(MooseX::Types::DateTime) >= 0.07
BuildRequires:  perl(MooseX::Types::Moose) >= 0.04
# MooseX::Types >= 0.42 will need namespace::autoclean
BuildRequires:  perl(namespace::clean) >= 0.08
BuildRequires:  perl(Time::Duration::Parse) >= 0.06
# Tests:
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(ok)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
# Optional tests:
# CPAN::Meta 2.120900 is not needed but its absence causes an unitialized
# variable warning, CPAN RT#97618. We can live with the warning.
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# MooseX::Types >= 0.42 will need namespace::autoclean

%description
This module builds on MooseX::Types::DateTime to add additional custom
types and coercions. Since it builds on an existing type, all coercions
and constraints are inherited.

%prep
%setup -q -n MooseX-Types-DateTime-MoreCoercions-%{version}

%build
# We prefer ExtUtils::MakeMaker over Module::Build::Tiny
export PERL_MM_FALLBACK_SILENCE_WARNING=1
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes CONTRIBUTING LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.14-2
- Perl 5.20 rebuild

* Wed Aug 06 2014 Petr Pisar <ppisar@redhat.com> - 0.14-1
- 0.14 bump

* Fri Aug 01 2014 Petr Pisar <ppisar@redhat.com> - 0.13-1
- 0.13 bump

* Wed Jul 30 2014 Petr Pisar <ppisar@redhat.com> - 0.12-1
- 0.12 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 03 2014 Petr Pisar <ppisar@redhat.com> - 0.11-3
- Remove pregeneratd META.yml with non-UTF-8 encoding (bug #1084058)

* Thu Aug 08 2013 Petr Pisar <ppisar@redhat.com> - 0.11-2
- Perl 5.18 rebuild

* Thu Jul 04 2013 Petr Pisar <ppisar@redhat.com> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
